{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_tip_grass_white_x_01_x_singleblock"
    },
    "places_block": "nicothekid:tallgrass_tip_white_block",
    "enforce_survivability_rules": true,
    "enforce_placement_rules": false,
    "may_replace": [
      {
        "tags": "query.any_tag('custom_sprouts')"
      },
      "minecraft:air",
      "minecraft:double_plant",
      "minecraft:tallgrass",
      "minecraft:vine"
    ],
    "may_attach_to": {
			"bottom": [
				{
          "tags": "query.any_tag('grassed_stones')"
        },
			  {
          "tags": "query.any_tag('grassed_woods')"
        },
			  {
          "tags": "query.any_tag('mossed_stones')"
        },
			  {
          "tags": "query.any_tag('mossed_woods')"
        },
				"minecraft:dirt",
				"minecraft:dirt_with_roots",
				"minecraft:grass",
				"minecraft:moss_block",
				"minecraft:podzol"
			]
		}
  }
}